This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[libstdc++] small doc updates


2003-04-29  Phil Edwards  <pme@gcc.gnu.org>

	* docs/doxygen/mainpage.html:  Bring up to date.
	* docs/doxygen/run_doxygen:  Cosmetic tweaks.  Work around a bug
	in Doxygen.
	* docs/doxygen/user.cfg.in:  Scanning the precompiled headers
	breaks everything.  Don't scan them.
	* docs/html/documentation.html:  Point to "Write after approval"
	notes.


Index: docs/doxygen/mainpage.html
===================================================================
RCS file: /cvs/gcc/gcc/libstdc++-v3/docs/doxygen/mainpage.html,v
retrieving revision 1.5
diff -u -3 -p -r1.5 mainpage.html
--- docs/doxygen/mainpage.html	18 Apr 2002 01:42:49 -0000	1.5
+++ docs/doxygen/mainpage.html	29 Apr 2003 23:47:04 -0000
@@ -23,7 +23,7 @@
 
 <h1>libstdc++-v3 Source Documentation</h1>
 
-<h2> Documentation Overview </h2>
+<h2>Documentation Overview</h2>
 
 <p class="smallertext">@LEVEL@-level docs, generated @DATE@.</p>
 
@@ -48,6 +48,7 @@
    <ul>
     <li><a href="annotated.html">Compound List</a>
     <li><a href="classes.html">Alphabetical List</a>
+    <li><a href="namespaces.html">Namespace List</a>
     <li><a href="files.html">File List</a>
     <li><a href="modules.html">Modules</a>
    </ul>
@@ -79,16 +80,6 @@
 href="http://gcc.gnu.org/onlinedocs/libstdc++/17_intro/C++STYLE";>C++STYLE</a>.
    Before any doxygen-specific formatting tweaks are made, please try to
    make sure that the initial formatting is sound.
-</p>
-
-<p>The formatting guidelines for using libstdc++-v3 with doxygen are still
-   incomplete.  There seems to be a marginal preference for the use of
-   Java-Doc style formatting, with the idea that the single-line style
-   (triple-slash) is the least intrusive mechanism for getting libstdc++-v3
-   documented and cross-referenced while at the same time minimizing
-   disruption to the current formatting.  Full documentation of functions
-   (parameter types, return values, etc) will require the slash-splat-splat
-   &quot;extended C&quot; commenting style.
 </p>
 
 <h2> Full page index </h2>
Index: docs/doxygen/run_doxygen
===================================================================
RCS file: /cvs/gcc/gcc/libstdc++-v3/docs/doxygen/run_doxygen,v
retrieving revision 1.20
diff -u -3 -p -r1.20 run_doxygen
--- docs/doxygen/run_doxygen	26 Feb 2003 00:02:16 -0000	1.20
+++ docs/doxygen/run_doxygen	29 Apr 2003 23:47:04 -0000
@@ -131,7 +131,6 @@ test $do_man = yes && {
     chmod -R u+w $outdir/man/man3/ext
 }
 
-set -e
 (
   set -e
   cd $builddir
@@ -147,13 +146,15 @@ set -e
   $doxygen ${outdir}/${mode}.cfg
   echo :: Finished, exit code was $?
 )
-set +e
+ret=$?
+test $ret -ne 0 && exit $ret
 
 test $do_html = yes && {
+  cd ${outdir}/html_${mode}
   sed -e "s=@LEVEL@=${LEVELtext}=" \
       -e "s=@DATE@=${DATEtext}=" \
-      ${srcdir}/docs/doxygen/mainpage.html > ${outdir}/html_${mode}/index.html
-  cd ${outdir}/html_${mode}
+      ${srcdir}/docs/doxygen/mainpage.html > index.html
+
   # The following bit of line noise changes annoying
   #   std::foo < typename _Ugly1, typename _Ugly2, .... _DefaultUgly17 >
   # to user-friendly
@@ -161,6 +162,13 @@ test $do_html = yes && {
   # in the major "Compound List" page.
   sed -e 's=\(::[[:alnum:]_]*\)&lt; .* &gt;=\1=' annotated.html > annstrip.html
   mv annstrip.html annotated.html
+
+  # Work around a bug in doxygen 1.3.
+  for f in class*html struct*html; do
+      sed '1,10s!^<title> Template!<title>Template !' $f > TEMP
+      mv TEMP $f
+  done
+
   cp ${srcdir}/docs/doxygen/tables.html tables.html
   echo ::
   echo :: HTML pages begin with
Index: docs/doxygen/user.cfg.in
===================================================================
RCS file: /cvs/gcc/gcc/libstdc++-v3/docs/doxygen/user.cfg.in,v
retrieving revision 1.23
diff -u -3 -p -r1.23 user.cfg.in
--- docs/doxygen/user.cfg.in	26 Feb 2003 00:02:16 -0000	1.23
+++ docs/doxygen/user.cfg.in	29 Apr 2003 23:47:05 -0000
@@ -383,7 +383,8 @@ RECURSIVE              = YES
 # subdirectory from a directory tree whose root is specified with the INPUT tag.
 
 EXCLUDE                = Makefile \
-                         CVS
+                         CVS \
+			 stdc++.h.gch
 
 # The EXCLUDE_SYMLINKS tag can be used select whether or not files or directories 
 # that are symbolic links (a Unix filesystem feature) are excluded from the input.
@@ -396,7 +397,8 @@ EXCLUDE_SYMLINKS       = NO
 
 EXCLUDE_PATTERNS       = CVS \
                          stamp-* \
-                         Makefile
+                         Makefile \
+			 *gch*
 
 # The EXAMPLE_PATH tag can be used to specify one or more files or 
 # directories that contain example code fragments that are included (see 
Index: docs/html/documentation.html
===================================================================
RCS file: /cvs/gcc/gcc/libstdc++-v3/docs/html/documentation.html,v
retrieving revision 1.31
diff -u -3 -p -r1.31 documentation.html
--- docs/html/documentation.html	24 Apr 2003 20:39:49 -0000	1.31
+++ docs/html/documentation.html	29 Apr 2003 23:47:05 -0000
@@ -237,6 +237,8 @@
 <ul>
    <li><a href="17_intro/contribute.html">Contributor checklist</a></li>
    <li><a href="17_intro/libstdc++-assign.txt">Copyright assignment form for libstdc++-v3</a></li>
+   <li><a href="http://gcc.gnu.org/cvswrite.html";>Getting CVS write access
+       (look for &quot;Write after approval&quot;)</a></li>
    <li><a href="17_intro/BADNAMES">BADNAMES</a>
        - names to avoid because of potential collisions</li>
    <li><a href="17_intro/C++STYLE">C++STYLE</a>


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]